std::isspace(std::locale)(3)

NAME
std::isspace(std::locale) - std::isspace(std::locale)

Synopsis
   Defined in header <locale>
   template< class charT >
   bool isspace( charT ch, const locale& loc );
   Checks if the given character is classified as a whitespace character by the given
   locale's ctype facet.

Parameters
   ch - character
   loc - locale

Return value
   Returns true if the character is classified as a whitespace character, false
   otherwise.

Possible implementation
   template< class charT >
   bool isspace( charT ch, const std::locale& loc ) {
       return std::use_facet<std::ctype<charT>>(loc).is(std::ctype_base::space, ch);
   }

Example
   Demonstrates the use of isspace() with different locales (OS-specific). // Run this code
 #include <iostream>
 #include <locale>
 void try_with(wchar_t c, const char* loc)
 {
     std::wcout << "isspace('" << c << "', locale(\"" << loc << "\")) returned "
                << std::boolalpha << std::isspace(c, std::locale(loc)) << '\n';
 }
 int main()
 {
     const wchar_t EM_SPACE = L'\u2003'; // Unicode character 'EM SPACE'
     try_with(EM_SPACE, "C");
     try_with(EM_SPACE, "en_US.UTF8");
 }

Output:
 isspace(' ', locale("C")) returned false
 isspace(' ', locale("en_US.UTF8")) returned true

See also
   isspace checks if a character is a space character
            (function)
   iswspace checks if a wide character is a space character
            (function)